%global modname dopy

Name:               python-dopy
Version:            0.3.7
Release:            5%{?dist}
Summary:            Python client for the Digital Ocean API

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/dopy
Source0:            https://pypi.python.org/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-requests

Requires:           python-requests

%description
Digital Ocean API Python Wrapper

%prep
%setup -q -n %{modname}-%{version}

# Remove any shebangs
for lib in %{modname}/*.py; do
 sed '1{/^#!.*/d}' $lib > $lib.new && \
 touch -r $lib $lib.new &&            \
 mv $lib.new $lib
done

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE CHANGES
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 Ralph Bean <rbean@redhat.com> - 0.3.7-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Latest upstream

* Fri Oct 18 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-3
- Correctly remove shebangs this time.
- Include docs.

* Thu Oct 17 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-2
- Add buildreq on python-setuptools.
- Remove shebangs from lib files.

* Wed Oct 16 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- initial package for Fedora
